function ConvertTime()
	SunRise = SKIN:GetMeasure('MeasureSunrise'):GetStringValue()
	str = SunRise and SunRise:match('^%s*(.*)')
	Hour,Minute,Meridiem = string.match(str, "(%d+):(%d+)%s(%a+)")
	ParseTwelveHourTime(Hour, Meridiem)
	SKIN:Bang('!SetOption', 'MeterSunriseTxt', 'Text', ': '..H..":"..Minute)
	SKIN:Bang('!UpdateMeter "MeterSunriseTxt"')

	SunSet = SKIN:GetMeasure('MeasureSunset'):GetStringValue()
	str = SunSet and SunSet:match('^%s*(.*)')
	Hour,Minute,Meridiem = string.match(str, "(%d+):(%d+)%s(%a+)")
	ParseTwelveHourTime(Hour, Meridiem)
	SKIN:Bang('!SetOption', 'MeterSunsetTxt', 'Text', ': '..H..":"..Minute)
	SKIN:Bang('!UpdateMeter "MeterSunsetTxt"')

	Update = SKIN:GetMeasure('MeasureUpdateNow'):GetStringValue()
	str = Update and Update:match('^%s*(.*)')
	Month,Day,Year,Hour,Minute,Meridiem = string.match(str, "(%d+)/(%d+)/(%d+)%s(%d+):(%d+)%s(%a+)")
	ParseTwelveHourTime(Hour, Meridiem)
	SKIN:Bang('!SetOption', 'MeterCurrentUpdate', 'Text', ': '..Day.."."..Month.."."..Year.." "..H..":"..Minute)
	SKIN:Bang('!UpdateMeter "MeterCurrentUpdate"')
	-- return SunRise
end

function ParseTwelveHourTime(Hour, Meridiem)
	H = tonumber(Hour)
	if (Meridiem == 'AM') and (H == 12) then
		H = 0
	elseif (Meridiem == 'PM') and (H < 12) then
		H = H + 12
	end
	return Hour
end